function _RIBS_function_PatchFile(source, pre_checksum, dest, uninstall_data)
{
	var patchfiles =  ExpandPath("[INSTALLDIR]\\AdobePatchFiles\\" + gAdobeCode);
	var post_checksum = uninstall_data.replace(".rtp", "");
	if (!ARKPathExists(source))
	{
		var errorMessage = "Source file for installation not found at " + source;
		ARKLogMessage(g_kLogCritical, errorMessage);
		throw errorMessage;
	}
	ThrowIfFalse(ARKPatchFile(source, dest, pre_checksum, post_checksum));
	ThrowIfFalse(ARKAddToUninstallScript('ARKPatchFile(decodeURIComponent(\"' + encodeURIComponent(patchfiles + "\\" + uninstall_data) + '\"), decodeURIComponent(\"' + encodeURIComponent(dest) + '\"), \"' + post_checksum + '\", \"' + pre_checksum + '\");\n'));	
}
